name: zhiying_comm
description: A new Flutter plugin.
version: 0.0.1
author:
homepage:

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  dio: ^3.0.9
  provider: ^4.0.0
  package_info: ^0.4.0+17
  device_info: ^0.4.0+1
  flutter_native_image: ^0.0.5
  # toast提示
  fluttertoast: 4.0.1
  # 图片缓存
  cached_network_image: ^2.2.0+1
  equatable: ^1.2.0
  # 屏幕适配
  flutter_screenutil: ^1.1.0
  # 缓存
  shared_preferences: ^0.5.10
  # bloc
  flutter_bloc: ^4.0.1
  # 骨架屏
  shimmer: ^1.1.1
  webview_flutter: ^0.3.22+1
  # 京东sdk
  jdsdk: ^0.0.1
  # Android app更新
  flutter_xupdate:
    git:
      ref: 1.0.1
      url: http://192.168.0.138:3000/FnuoOS_ZhiYing/flutter_xupdate.git
  # app更新dialogUI(用于IOS，以便统一样式)
  flutter_update_dialog: 1.0.0
  flutter_alibc:
    git:
      ref: 0.0.3
      url: http://192.168.0.138:3000/FnuoOS_ZhiYing/zhiying_flutter_alibc.git
  url_launcher: ^5.6.0
  #图片预览控件
  photo_view: ^0.10.2
  imei_plugin: 1.2.0
  # mob 分享sdk
  sharesdk_plugin: ^1.2.8
  # 秒验
  secverify: ^1.0.2
  # 短信
  mobsms: ^1.1.0
  # 锁粉
  moblink: ^3.4.1
  # 苹果登录
#  sign_in_with_apple: ^2.5.4
  # 微信登录
#  fluwx_no_pay: 2.3.1
  # loading 动画
  loading_indicator: ^1.2.0


dev_dependencies:
  flutter_test:
    sdk: flutter


# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # This section identifies this Flutter project as a plugin project.
  # The androidPackage and pluginClass identifiers should not ordinarily
  # be modified. They are used by the tooling to maintain consistency when
  # adding or updating assets for this project.
  plugin:
    androidPackage: cn.zhios.zhiying_comm
    pluginClass: ZhiyingCommPlugin

  # To add assets to your plugin package, add an assets section, like this:
  assets:
    - assets/images/icon_taobao.png

  #
  # For details regarding assets in packages, see
  # https://flutter.dev/assets-and-images/#from-packages
  #
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # To add custom fonts to your plugin package, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: Din-Bold
      fonts:
        - asset: assets/fonts/DIN-Bold.otf
    - family: Din-Medium
      fonts:
        - asset: assets/fonts/DIN-Medium.otf
    - family: Din
      fonts:
        - asset: assets/fonts/DIN-Regular.otf
  #
  # For details regarding fonts in packages, see
  # https://flutter.dev/custom-fonts/#from-packages
